Bug Hunting Session
Bug 56731 - Snap Lines --> Help Lines, in Tool > Options > Draw/Impress > View
Summary: Snap Lines --> Help Lines, in Tool > Options > Draw/Impress > View
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2012-11-03 23:21 UTC by Regina Henschel
Modified: 2017-09-25 12:34 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2012-11-03 23:21:10 UTC
Open Tools > Options module > View. You find
in Writer: Helplines While Moving
in Calc: Helplines While Moving
in Draw: Snap Lines when moving
in Impress: Snap Lines when moving

The wording in Impress and Draw is wrong, because it is no snap line, but the help lines, which are shown around the object. The old term had been "Guides when moving". The text is in sd/source/ui/dlg/tpoption.src. The wrong text slipped in with commit a5792640ff40f874a9911aba74e54500ca19233e.

I suggest to use in all modules the "Helplines While Moving". But I'm not sure about the spell checking.
Comment 1 Rainer Bielefeld Retired 2012-11-04 08:00:43 UTC
[Reproducible] with Server Installation of  "LibreOffice  3.6.4.0+  English UI/ German Locale [Build-ID: be49b70],{tinderbox: Win-x86@9 pull time 2012-10-31 08:03:29}  on German WIN7 Home Premium (64bit), User-Profile 3.6.4 dailies

I also see that inconsistency in UBUNTU, so OS -> All

Commit Regina found is dated 18-Mai-2011, and so that is already wrong in 3.5.1 and more early.

The common help text (I do not know whether it's the same source) is "Helplines While Moving", but for me a helpline is a "telephone counselling service"?

The tasks here are:
a) find the  best word for those lines. To me the complete terms seems wrong. For example the lines only appear while dragging with mouse, but not while moving the object using arrow keys. So I would prefer "Guides while dragging" - but I'm not a native English speaker.

b) unification
We should have exactly the same text (and I think from the same source) in Daw, Impress, Writer, Calc ..., without differences "while" <-> "when" and similar

c) help should be checked 
- currently inappropriate capitalization (see 'a')
- Adaption to solution in UI

d) icons
In Impress and DRAW there is an 'Options' toolbar with an icon to switch those guides on/off, tooltip has to be checked.

@Christian Dywan:
unexpected use of a string or whatever? Can you help?
Comment 2 Regina Henschel 2012-11-04 12:32:57 UTC
for d)
That icon in the toolbar "options" is about snap lines and naming and help texts are correct. That icon is not related to the switch in Tools > Options > Draw > View, which has the wrong text.
Comment 3 Rainer Bielefeld Retired 2012-11-04 13:29:17 UTC
(In reply to comment #2)
I can not confirm Reginas observations, might be a customization issue? I have the mitnioned Icon right from the snap lines icon.
Comment 4 Regina Henschel 2012-11-04 13:40:31 UTC
(In reply to comment #3)

Forget my comment. The icon "helpline when moving" is indeed shown in the "options" toolbar in default setting.
Comment 5 A (Andy) 2014-09-22 21:51:40 UTC
Reproducible with LO 4.3.1.2 (Win 8.1)
Comment 6 QA Administrators 2015-10-14 19:57:41 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2016-01-30 13:26:07 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 9784ff3d878eaa21491fbd779e57d7d4710f5449
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-30_01:31:57
Locale: fi-FI (fi_FI)
Comment 8 Yousuf Philips (jay) (retired) 2017-09-24 20:19:03 UTC
patch - https://gerrit.libreoffice.org/42725
Comment 9 Commit Notification 2017-09-25 12:34:46 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1927bd5080ff38a58caa6108792d688daba2dfca

tdf#56731 correct label from snap lines to helplines

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.